player_position1d_cmd_vel Struct Reference

Command: state (PLAYER_POSITION1D_CMD_VEL) More...

`#include <player_interfaces.h>`

## Public Attributes

float | vel
| velocity [m/s] or [rad/s]
uint8_t | state
| Motor state (FALSE is either off or locked, depending on the driver). More...

## Detailed Description

Command: state (PLAYER_POSITION1D_CMD_VEL)

The `position1d` interface accepts new velocities for the robot's motors (drivers may support position control, speed control, or both).

## Member Data Documentation

uint8_t player_position1d_cmd_vel::state

Motor state (FALSE is either off or locked, depending on the driver).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45